Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/31699/?format=api
{ "ob_id": 31699, "uuid": "1a072df93a19434e85b4fff7fabfdafa", "title": "NERC-ARF 2014_289 - RG13_06 Flight: Airborne remote sensing measurements", "abstract": "Airborne remote sensing measurements collected on 16 October 2014 onboard the Natural Environment Research Council Airborne Research Facility (NERC-ARF) Dornier Do228-101 D-CALM Aircraft for the Biodiversity and Land-use Impacts on Tropical Ecosystem function (BALI) (RG13_06) project (flight reference: 2014_289). This dataset comprises: digital photography data collected using a Leica RCD105 camera, hyperspectral data collected using a Specim Aisa FENIX imager and full-waveform airborne LiDAR data collected using a Leica ALS50II LiDAR.\r\n\r\nData were collected over the Danum Valley, Malaysia. Maliau Basin, Malaysia area.", "keywords": "RG13_06, RG13/06, aircraft, hyperspectral, remote sensing, lidar", "publicationState": "citable", "dataPublishedTime": "2020-07-20T16:24:58", "doiPublishedTime": "2020-07-21T11:35:53.468678", "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/31700/?format=api", "dataPath": "/neodc/arsf/2014/RG13_06/RG13_06-2014_289_Danum_Valley", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 510721756723, "numberOfFiles": 2392, "fileFormat": "Hyperspectral data are ENVI binary, LiDAR data are LAS and aerial photography are TIF formats" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/8676/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/2677/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data were collected and processed by the NERC-ARF facility and deposited at the Centre for Environmental Data Analysis (CEDA) for archiving.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/10735/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/26485/?format=api" ], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/139935/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/139936/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/139937/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/139938/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/139939/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/139940/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/139942/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/139941/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/31701/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }